petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatPtAPNumeric

Computes the matrix product C = P^T * A * P

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatPtAPNumeric(Mat A,Mat P,Mat C)

Neighbor-wise Collective on Mat

### Input Parameters

| A | - the matrix
| P | - the projection matrix

### Output Parameters

C -the product matrix

### Notes

C must have been created by calling MatPtAPSymbolic and must be destroyed by the user using MatDeatroy().

This routine is currently only implemented for pairs of AIJ matrices and classes which inherit from AIJ. C will be of type MATAIJ.

### See Also

MatPtAP(), MatPtAPSymbolic(), MatMatMultNumeric()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Implementations

MatPtAPNumeric_MPIAIJ_MPIAIJ_scalable in src/mat/impls/aij/mpi/mpiptap.c
MatPtAPNumeric_MPIAIJ_MPIXAIJ_allatonce in src/mat/impls/aij/mpi/mpiptap.c
MatPtAPNumeric_MPIAIJ_MPIAIJ_allatonce in src/mat/impls/aij/mpi/mpiptap.c
MatPtAPNumeric_MPIAIJ_MPIXAIJ_allatonce_merged in src/mat/impls/aij/mpi/mpiptap.c
MatPtAPNumeric_MPIAIJ_MPIAIJ_allatonce_merged in src/mat/impls/aij/mpi/mpiptap.c
MatPtAPNumeric_MPIAIJ_MPIAIJ in src/mat/impls/aij/mpi/mpiptap.c
MatPtAPNumeric_SeqAIJMKL_SeqAIJMKL_SpMV2 in src/mat/impls/aij/seq/aijmkl/aijmkl.c
MatPtAPNumeric_SeqAIJ_SeqAIJ_SparseAxpy in src/mat/impls/aij/seq/matptap.c
MatPtAPNumeric_SeqAIJ_SeqAIJ in src/mat/impls/aij/seq/matptap.c
MatPtAPNumeric_SeqDense_SeqDense in src/mat/impls/dense/seq/dense.c
MatPtAPNumeric_AIJ_AIJ_wHYPRE in src/mat/impls/hypre/mhypre.c
MatPtAPNumeric_AIJ_HYPRE in src/mat/impls/hypre/mhypre.c
MatPtAPNumeric_HYPRE_HYPRE in src/mat/impls/hypre/mhypre.c
MatPtAPNumeric_IS_XAIJ in src/mat/impls/is/matis.c
MatPtAPNumeric_SeqAIJ_SeqMAIJ in src/mat/impls/maij/maij.c
MatPtAPNumeric_MPIAIJ_MPIMAIJ in src/mat/impls/maij/maij.c
MatPtAPNumeric_MPIAIJ_MPIMAIJ_allatonce in src/mat/impls/maij/maij.c
MatPtAPNumeric_MPIAIJ_MPIMAIJ_allatonce_merged in src/mat/impls/maij/maij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages